#include <Adafruit_NeoPixel.h> // ID# 28

#define PIN 14  // A0

#define NUM_LIGHTS  8

#define MAX_BRIGHTNESS 1
#define MIN_BRIGHTNESS 1

#define SPEED 80 // lower is faster

#define GH_LAB 1
#define GH_KITCHEN 2
#define GH_OFFICE 3

Adafruit_NeoPixel strip = Adafruit_NeoPixel(NUM_LIGHTS, PIN, NEO_GRB + NEO_KHZ800);

uint32_t BLK = strip.Color(0, 0, 0);
uint32_t BLU = strip.Color(0, 0, 255);
uint32_t GRN = strip.Color(0, 255, 0);
uint32_t TEL = strip.Color(0, 255, 255);
uint32_t RED = strip.Color(255, 0, 0);
uint32_t PNK = strip.Color(255, 0, 255);
uint32_t YEL = strip.Color(255, 255, 0);
uint32_t WHI = strip.Color(255, 255, 255);

/////////////////////////  TESTING start
int GH_Target = GH_LAB;
int SONOFF_Switch_1 = 1;
int SONOFF_Switch_2 = 1;
int SONOFF_Switch_3 = 1;
int SONOFF_NightLight = 1;
int Torrent_Finished = 1;
/////////////////////////  TESTING end

void setup() {
  strip.begin();
  strip.setBrightness(MAX_BRIGHTNESS);

  strip.show(); // Initialize all pixels to 'off'
}

void loop() {
  switch(GH_Target) {
    case GH_LAB:    // GH Output: Lab
    strip.setPixelColor(0, GRN);
    break;
    case GH_KITCHEN:    // GH Output: Kitchen
    strip.setPixelColor(0, RED);
    break;
    case GH_OFFICE:    // GH Output: Office
    strip.setPixelColor(0, BLU);
    break;
  }

  // Torrent Finished
  if (Torrent_Finished)
  strip.setPixelColor(7, WHI);
  else
  strip.setPixelColor(7, BLK);

  // BeerLight (K1) on?
  if (SONOFF_Switch_1)
  strip.setPixelColor(2, RED);
  else
  strip.setPixelColor(2, BLK);
  // Screens (K2) on?
  if (SONOFF_Switch_2)
  strip.setPixelColor(3, GRN);
  else
  strip.setPixelColor(3, BLK);
  // Spare (S1) on?
  if (SONOFF_Switch_3)
  strip.setPixelColor(4, BLU);
  else
  strip.setPixelColor(4, BLK);
  // Nightlight (S2) on?
  if (SONOFF_NightLight)
  strip.setPixelColor(5, PNK);
  else
  strip.setPixelColor(5, BLK);


  strip.setPixelColor(1, BLK);
  strip.setPixelColor(6, BLK);

  strip.show();

  delay(SPEED);

  // }
  // for( int BRIGHTNESS = MAX_BRIGHTNESS; BRIGHTNESS >= MIN_BRIGHTNESS;    BRIGHTNESS--) {
  //
  //   strip.setPixelColor(0, RED);
  //   strip.setPixelColor(1, RED);
  //   strip.setPixelColor(2, GRN);
  //   strip.setPixelColor(3, GRN);
  //   strip.setPixelColor(4, BLU);
  //   strip.setPixelColor(5, BLU);
  //   strip.setPixelColor(6, WHI);
  //   strip.setPixelColor(7, WHI);
  //   strip.setBrightness(BRIGHTNESS);
  //   strip.show();
  //
  //   delay(SPEED);
  //
  // }
}
